/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit;

public class FlowStepCriteria {

    /**
     * An attribute name of a flow step
     */
    private String name;

    /**
     * The value that the attribute must match
     */
    private String value;

    /**
     * Set the name of a flow step attribute on which the current criteria operates
     * 
     * @param name
     *            A flow step attribute name. Not <code>null</code>, not empty.
     */
    public void setName(final String name) {
        assert name != null;
        assert !name.isEmpty();

        this.name = name;
    }

    /**
     * Set the value that the flow step attribute must match
     * 
     * @param value
     *            The value that the flow step attribute must match. Not <code>null</code>, not empty.
     */
    public void setValue(final String value) {
        assert value != null;
        assert !value.isEmpty();

        this.value = value;
    }

    public String getValue() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }

}
