/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowstep;


/**
 * Abstract attribute assertion
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class AbstractAssertAttribute {

    /**
     * Flag to define on which trace (beginning or ending) of the flow step the assertion must be done.
     * <code>true</code> , the attributes of the end trace will be used; <code>false</code>, the attributes of the
     * beginning trace will be used. Default value: <code>false</code>.
     */
    protected boolean checkOnEndTrace = false;

    /**
     * Set the flag defining the trace (beginning or ending) of the flow step the assertion must be done.
     * 
     * @param checkOnEndTrace
     *            <code>true</code> , the attributes of the end trace will be used; <code>false</code>, the attributes
     *            of the beginning trace will be used.
     */
    public void setOnEnd(final boolean checkOnEndTrace) {

        this.checkOnEndTrace = checkOnEndTrace;
    }
}