/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowtree.exception;

import org.apache.tools.ant.Location;
import org.ow2.petals.ant.task.monit.assertion.flowstep.exception.BuildAssertAttributeFailException;

/**
 * Flow tree node not found
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BuildAssertFlowTreeNodeNotFoundException extends BuildAssertAttributeFailException {

    private static final long serialVersionUID = -8598827870394829395L;

    private static final String MESSAGE = "The the flow tree node is not found";

    private static final String MESSAGE_PATTERN = "The the flow tree node given with expression '%s' is not found";

    public BuildAssertFlowTreeNodeNotFoundException(final Location location) {
        super(MESSAGE, location);
    }

    public BuildAssertFlowTreeNodeNotFoundException(final String expression, final Location location,
            final Throwable cause) {
        super(String.format(MESSAGE_PATTERN, expression), location, cause);
    }

}
