/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowtreenode;

import org.apache.tools.ant.Location;
import org.apache.tools.ant.Project;
import org.ow2.petals.ant.task.monit.FlowTreeNode;
import org.ow2.petals.ant.task.monit.assertion.flowstep.exception.BuildAssertAttributeFailException;
import org.ow2.petals.ant.task.monit.assertion.flowtreenode.exception.BuildFlowTreeNodeAssertionException;

/**
 * Interface of assertions about flow tree node
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public interface FlowTreeNodeAssertion {
    
    /**
     * Execute the assertion on the given flow tree node
     * 
     * @param flowTreeNode
     * @param project
     * @param location
     * @throws BuildAssertAttributeFailException
     */
    public void doAssert(final FlowTreeNode flowTreeNode, final Project project, final Location location)
            throws BuildFlowTreeNodeAssertionException;

}
